# Don't provide library %{python_sitearch}/%{name}/moduleFilterer.so
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so

Name:           openteacher
Version:        3.2
Release:        %mkrel 7
Summary:        Vocabulary training application
Group:          Education
License:        GPLv3+
URL:            http://openteacher.org/

Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{version}_linux.tar.gz
Patch0:         openteacher-3.2-mga-invalid-version-desktop-file.patch

BuildRequires:  pkgconfig(python2)
BuildRequires:  python-setuptools

Requires:       python-qt4
Requires:       qt4-common
Requires:       shared-mime-info

Recommends:       espeak
Recommends:       python-chardet
Recommends:       python-enchant
Recommends:       python-qt4-phonon
Recommends:       python-urwid



%description
OpenTeacher is an open source application that helps you with learning
a variety of subjects. You just enter the questions and the answers,
or download them from the internet, and OpenTeacher tests you.

%prep
%setup -q -c %{name}-%{version}
%autopatch -p1

# Remove module with gtk dependencies
%__sed -i '/gtk/d' setup.py


%build
%__python setup.py build


%install
%__python ./setup.py install --skip-build --root=%{buildroot}
# Workaround for https://bugs.mageia.org/show_bug.cgi?id=14618
# Thanks to Alex Loginov and the openteacher's upstream maintainer for
# the workaround.
mv %{buildroot}/%{python_sitearch}/openteacher/modules/org/openteacher/hiddenBrowser \
    %{buildroot}/%{python_sitearch}/openteacher/modules/org/openteacher/_hiddenBrowser

# Remove po and pot files
find %{buildroot} -name "*.po" | xargs rm -f
find %{buildroot} -name "*.pot" | xargs rm -f

# Add lang tags to translation files
(cd %{buildroot} && find . -name '*.mo') | %{__sed} -e 's|^.||' |
%{__sed} -e \
   's:\(.*/translations/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:' \
      >> openteacher.lang

%files -f openteacher.lang
%{_bindir}/%{name}
%{python_sitearch}/OpenTeacher-%{version}-py%pyver.egg-info
%{python_sitearch}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/mimetypes/*
%{_iconsdir}/hicolor/128x128/apps/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/menu/%{name}
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 3.2-7.mga6
+ Revision: 950997
- Mageia 6 Mass Rebuild

* Sun Nov 30 2014 shlomif <shlomif> 3.2-6.mga5
+ Revision: 800078
- Fix for MGA#14618

* Wed Oct 15 2014 umeabot <umeabot> 3.2-5.mga5
+ Revision: 748671
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.2-4.mga5
+ Revision: 727528
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2-3.mga5
+ Revision: 683251
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Nov 12 2013 dglent <dglent> 3.2-1.mga4
+ Revision: 550747
- Upload patch to svn (for revision 550746)
- Add patch: Remove invalid Version in desktop file
- Limit %%description lines to 79 char
- Fix syntax typo in %%description text
- Remove trailing whitespaces
- Remove unnecessary information from dfescription
- Shorter url in Source0
- Remove gtk dependencies
- Remove GPL copy
- Add Suggests
- Update spec
- Use proper mga %%define for exclude from provides the library
- Macro for python setup command
- Remove source translation files and add lang tags
- Shorter list in %%files
- Add some missing brackets in %%files section
- Remove noarch
- Edit spec. The package is not ready to build. Since 3.2 version it includes a library.
- New version 3.2
- Spec update
- New version 3.1
- Add missing dependancy
- Use the source tarball from launchpad
- imported package openteacher

